# View Item List

When an item list is displayed fire the below event

```
window._mp.safeExecute('evViewItemList', function() {
   eedl('mp_view_item_list', {
      item_list_name: '<list name>',
      items: [/* Refer to Products Array page in reference below */],
      ev_source: 'gtm'
    });
})();
```

{% content-ref url="/pages/d2NZ4n0wQEnlBVinzBdl" %}
[Products Array](/implementation/web-sdk/tracking-events/products-array.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/view-item-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
